import '@babel/polyfill'
import Vue from 'vue'
import App from './App.vue'
import router from './router'
import './logger'
import { version } from '../package.json'
import store from './store/'
import '@/assets/font/iconfont.css'
// import FastClick from 'fastclick'
import 'amfe-flexible';
import Vant from 'vant';
import 'vant/lib/index.css';
import { Locale } from 'vant';
import zhCN from 'vant/lib/locale/lang/zh-CN';
import VueClipboard from 'vue-clipboard2'

Vue.config.productionTip = false;
Locale.use('zh-CN', zhCN);

Vue.use(Vant);
Vue.use(VueClipboard);

// FastClick.attach(document.body);

Vue.prototype.VERSION = version;
Vue.use(router);

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app');
